/*
 * Copyright (C) 2013 Joan Puig Sanz
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.servDroid.util;

import android.util.Log;

/**
 * 
 * @author Joan Puig Sanz
 * 
 */
public class Logger {

	public static final String TAG = "ServDroid";

	/** Use this flag to hide or show the log generated by this class */
	public static boolean enableLog = true;

	private static StringBuffer buff = new StringBuffer();

	public static void d(String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.d(TAG, msg);
		}
	}

	public static void d(String tag, String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.d(tag, msg);
		}
	}

	public static void e(String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.e(TAG, msg);
		}
	}

	public static void e(String msg, Exception e) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.e(TAG, msg, e);
		}
	}

	public static void e(String tag, String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.e(tag, msg);
		}
	}

	public static void e(String tag, String msg, Exception e) {
		if (enableLog) {
			buff.append(msg + "\n" + e.getMessage() + "\n");
			Log.e(tag, msg);
		}
	}

	public static void w(String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.w(TAG, msg);
		}
	}

	public static void i(String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.i(TAG, msg);
		}
	}

	public static void i(String tag, String msg) {
		if (enableLog) {
			buff.append(msg + "\n");
			Log.i(tag, msg);
		}
	}

	public static void clean() {
		buff.setLength(0);
	}

	public static String getLogString() {
		return buff.toString();
	}

}
