/*
 * Copyright (C) 2013 Joan Puig Sanz
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.servDroid.util;

import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.text.format.Formatter;

/**
 * 
 * @author Joan Puig Sanz
 * 
 */
public class NetworkIp {

	/**
	 * Get wifi IP
	 * 
	 * @param wifiManager
	 * @return wifi IP
	 */
	public static String getWifiIp(WifiManager wifiManager) {

		WifiInfo wifiInfo = wifiManager.getConnectionInfo();
		int ip = wifiInfo.getIpAddress();
		// TODO: Change the way to get the IP
		String ipAddress = Formatter.formatIpAddress(ip);
		return ipAddress;

	}
}